local addon, ns = ...

local MSQ = LibStub("Masque", true)

local BagButtonList = {
	CharacterBag3Slot,
	CharacterBag2Slot,
	CharacterBag1Slot,
	CharacterBag0Slot,
	MainMenuBarBackpackButton
}

if MSQ then
	local Group = MSQ:Group("G13BarManager", "MainGroup")
	
	for i = 1, 12 do
		Group:AddButton(_G["ActionButton"..i])
		Group:AddButton(_G["MultiBarBottomLeftButton"..i])
		Group:AddButton(_G["MultiBarBottomRightButton"..i])
		Group:AddButton(_G["MultiBarLeftButton"..i])
		Group:AddButton(_G["MultiBarRightButton"..i])
	end
	
	for i,v in pairs(BagButtonList) do
		if not v.MasqueButtonData then
			v.MasqueButtonData = {
				Button = v,
				Icon = _G[v:GetName() .. "IconTexture"],
			}
		end
		Group:AddButton(v, v.MasqueButtonData)
	end
	
	if ns.PetBarNeeded() then
		for i = 1, 10 do
			Group:AddButton(_G["PetActionButton"..i])
		end
	end
	
	if ns.StanceBarNeeded() then
		for i = 1, 6 do
			Group:AddButton(_G["StanceButton"..i])
		end
	end
end