local addon, ns = ...

--Build the empty Options panel
OptionsPanel = CreateFrame("Frame", "G13OptionsPanel", UIParent)
OptionsPanel.name = "G13 Bar Manager"

InterfaceOptions_AddCategory(OptionsPanel)

--Set up the slash command
SLASH_G13BARMANAGER1 = '/g13'

function SlashCmdList.G13BARMANAGER(msg, editbox)
	if msg == '' then	
		--We have to call this twice because Blizzard UI behaves oddly.
		--You may think you can remove one.
		--You can't.  Really, please don't.
		--Doing so will make it fail on some systems.
		InterfaceOptionsFrame_OpenToCategory("G13 Bar Manager")
		InterfaceOptionsFrame_OpenToCategory("G13 Bar Manager")
	else
		if msg == 'lock' then
			ns.LockBars()
		end
		if msg == 'unlock' then
			ns.UnlockBars()
		end
	end
end

--This is the button for toggling the HotKeys visibility.
local HotKeyButton = CreateFrame("Button","G13HotkeyButton", OptionsPanel, 'OptionsButtonTemplate') 
HotKeyButton:SetSize(150, 30)
HotKeyButton:SetPoint("TOPLEFT", OptionsPanel, 10, -10)
HotKeyButton:RegisterForClicks("AnyUp")
HotKeyButton:SetText("Toggle Hotkey Text")
HotKeyButton:SetScript("OnClick", function(self, button)
	if ActionButton1HotKey:GetAlpha() == 1 then
		ns.HideHotKeys()
		ns.cfg.HKVis = false
	else
		ns.ShowHotKeys()
		ns.cfg.HKVis = true
	end
end)

--This is the button for toggling the MenuBar visibility.
ns.MenuBarButton = CreateFrame("CheckButton","G13MenuBarButton", OptionsPanel, 'OptionsCheckButtonTemplate') 
--ns.MenuBarButton:SetSize(150, 30)
ns.MenuBarButton:SetPoint("TOPLEFT", HotKeyButton, "BOTTOMLEFT",  0, -10)
ns.MenuBarButton:RegisterForClicks("AnyUp")
_G[ns.MenuBarButton:GetName() .. "Text"]:SetText("Hide Menu Bar")
ns.MenuBarButton:SetScript("OnClick", function(self, checkbutton)
	if self:GetChecked() then
		RegisterStateDriver(G13MenuBar, "visibility", "[petbattle] hide; [vehicleui] hide; hide")
		G13MenuBar:Hide()
		ns.cfg.MenuVis = false
	else
		RegisterStateDriver(G13MenuBar, "visibility", "[petbattle] hide; [vehicleui] hide; show")
		G13MenuBar:Show()
		ns.cfg.MenuVis = true
	end
end)


--This is a checkbutton to toggle the movability of the bars.
local BarLockCheckbutton = CreateFrame("CheckButton", "G13BarLockCheckbutton", OptionsPanel, 'OptionsCheckButtonTemplate')
BarLockCheckbutton:SetPoint("TOPLEFT", ns.MenuBarButton, "BOTTOMLEFT",  0, -10)
_G[BarLockCheckbutton:GetName() .. "Text"]:SetText("Unlock Action Bars")
BarLockCheckbutton:SetScript("OnClick", function(self, checkbutton)
	if self:GetChecked() then
		ns.UnlockBars()
	else
		ns.LockBars()
	end
end)

--This is a checkbutton to toggle disabling the addon cast bar.
ns.CastBarCheckbutton = CreateFrame("CheckButton", "G13CastBarCheckbutton", OptionsPanel, 'OptionsCheckButtonTemplate')
ns.CastBarCheckbutton:SetPoint("TOPLEFT", BarLockCheckbutton, "BOTTOMLEFT",  0, -10)
_G[ns.CastBarCheckbutton:GetName() .. "Text"]:SetText("Disable G13 Cast Bar (Requires a UI reload)")
ns.CastBarCheckbutton:SetScript("OnClick", function(self, checkbutton)
	if self:GetChecked() then
		ns.cfg.CastBarDisable = true
	else
		ns.cfg.CastBarDisable = false
	end
end)

--This is a checkbutton to toggle disabling the addon cast bar.
ns.G13ArtifactWatchBarCheckbutton = CreateFrame("CheckButton", "G13ArtifactWatchBarCheckbutton", OptionsPanel, 'OptionsCheckButtonTemplate')
ns.G13ArtifactWatchBarCheckbutton:SetPoint("TOPLEFT", G13CastBarCheckbutton, "BOTTOMLEFT",  0, -10)
_G[ns.G13ArtifactWatchBarCheckbutton:GetName() .. "Text"]:SetText("Hide Artifact Power bar")
ns.G13ArtifactWatchBarCheckbutton:SetScript("OnClick", function(self, checkbutton)
	if self:GetChecked() then
		ns.HideArtifactBar()
		ns.cfg.ArtifactBarViz = false
	else
		ns.ShowArtifactBar()
		ns.cfg.ArtifactBarViz = true
	end
end)